Name:		opendchub
Version:	0.8.1
Release:	4%{?dist}
Summary:	An Open Source Linux/Unix version of the hub software for Direct Connect

Group:		Applications/Internet
License:	GPLv2+
URL:		http://opendchub.sourceforge.net
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch0:		opendchub-0.8.1-configure.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	perl(ExtUtils::Embed), libcap-devel

%description
Opendchub is the hub software for Direct Connect P2P network.

%prep
%setup -q
%patch0 -p0 -b .configure
aclocal
autoconf
automake

%build
%configure --enable-switch_user
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README TODO Samplescripts/functestbot.plz Samplescripts/subtestbot.plz
%{_bindir}/opendchub


%changelog
* Sun Jan 3 2009 Roshan Kumar Singh <singh.roshan08@gmail.com> 0.8.1-4
- Changed BR to include perl specific changes, patch made for configure to remove directories created in $HOME

* Sun Jan 3 2009 Roshan Kumar Singh <singh.roshan08@gmail.com> 0.8.1-3
- Changed Group to a more appropriate one

* Sun Jan 3 2009 Roshan Kumar Singh <singh.roshan08@gmail.com> 0.8.1-2
- Removed glibc-devel and added perl-devel to BR and changed configure

* Sat Jan 2 2009 Roshan Kumar Singh <singh.roshan08@gmail.com> 0.8.1-1
- First RPM for opendchub
